summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0023rule_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0023rule_1')
-rwxr-xr-xtests/shell/testcases/transactions/0023rule_120
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0023rule_1 b/tests/shell/testcases/transactions/0023rule_1
new file mode 100755
index 00000000..4c4e24cd
--- /dev/null
+++ b/tests/shell/testcases/transactions/0023rule_1
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+trap "rm -rf $tmpfile" EXIT # cleanup if aborted
+
+RULESET="add table x
+add chain x y
+add rule x y jump y"
+
+echo "$RULESET" > $tmpfile
+# kernel must return ELOOP
+$NFT -f $tmpfile 2>/dev/null
+echo "E: allowing jump to chain loop"